Interface SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder
- All Superinterfaces:
org.apache.camel.builder.EndpointConsumerBuilder,org.apache.camel.EndpointConsumerResolver,org.apache.camel.builder.EndpointProducerBuilder,org.apache.camel.EndpointProducerResolver,SalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder,SalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder
- Enclosing interface:
SalesforceEndpointBuilderFactory
public static interface SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder
extends SalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder, SalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder
Builder for endpoint for the Salesforce component.
-
Method Summary
Modifier and TypeMethodDescriptionadvanced()apexMethod(String apexMethod) APEX method name.apexQueryParams(String apexQueryParams) Query params for APEX method.apexQueryParams(Map<String, Object> apexQueryParams) Query params for APEX method.apiVersion(String apiVersion) Salesforce API version.backoffIncrement(long backoffIncrement) Backoff interval increment for Streaming connection restart attempts for failures beyond CometD auto-reconnect.backoffIncrement(String backoffIncrement) Backoff interval increment for Streaming connection restart attempts for failures beyond CometD auto-reconnect.Bulk API Batch ID.contentType(String contentType) Bulk API content type, one of XML, CSV, ZIP_XML, ZIP_CSV.contentType(org.apache.camel.component.salesforce.api.dto.bulk.ContentType contentType) Bulk API content type, one of XML, CSV, ZIP_XML, ZIP_CSV.defaultReplayId(Long defaultReplayId) Default replayId setting if no value is found in initialReplayIdMap.defaultReplayId(String defaultReplayId) Default replayId setting if no value is found in initialReplayIdMap.fallBackReplayId(Long fallBackReplayId) ReplayId to fall back to after an Invalid Replay Id response.fallBackReplayId(String fallBackReplayId) ReplayId to fall back to after an Invalid Replay Id response.Payload format to use for Salesforce API calls, either JSON or XML, defaults to JSON.format(org.apache.camel.component.salesforce.internal.PayloadFormat format) Payload format to use for Salesforce API calls, either JSON or XML, defaults to JSON.httpClient(String httpClient) Custom Jetty Http Client to use to connect to Salesforce.httpClient(org.apache.camel.component.salesforce.SalesforceHttpClient httpClient) Custom Jetty Http Client to use to connect to Salesforce.includeDetails(Boolean includeDetails) Include details in Salesforce1 Analytics report, defaults to false.includeDetails(String includeDetails) Include details in Salesforce1 Analytics report, defaults to false.initialReplayIdMap(String initialReplayIdMap) Replay IDs to start from per channel name.initialReplayIdMap(Map<String, Long> initialReplayIdMap) Replay IDs to start from per channel name.instanceId(String instanceId) Salesforce1 Analytics report execution instance ID.Bulk API Job ID.Limit on number of returned records.Limit on number of returned records.Locator provided by salesforce Bulk 2.0 API for use in getting results for a Query job.maxBackoff(long maxBackoff) Maximum backoff interval for Streaming connection restart attempts for failures beyond CometD auto-reconnect.maxBackoff(String maxBackoff) Maximum backoff interval for Streaming connection restart attempts for failures beyond CometD auto-reconnect.maxRecords(Integer maxRecords) The maximum number of records to retrieve per set of results for a Bulk 2.0 Query.maxRecords(String maxRecords) The maximum number of records to retrieve per set of results for a Bulk 2.0 Query.notFoundBehaviour(String notFoundBehaviour) Sets the behaviour of 404 not found status received from Salesforce API.notFoundBehaviour(org.apache.camel.component.salesforce.NotFoundBehaviour notFoundBehaviour) Sets the behaviour of 404 not found status received from Salesforce API.notifyForFields(String notifyForFields) Notify for fields, options are ALL, REFERENCED, SELECT, WHERE.notifyForFields(org.apache.camel.component.salesforce.internal.dto.NotifyForFieldsEnum notifyForFields) Notify for fields, options are ALL, REFERENCED, SELECT, WHERE.notifyForOperationCreate(Boolean notifyForOperationCreate) Notify for create operation, defaults to false (API version &gt;= 29.0).notifyForOperationCreate(String notifyForOperationCreate) Notify for create operation, defaults to false (API version &gt;= 29.0).notifyForOperationDelete(Boolean notifyForOperationDelete) Notify for delete operation, defaults to false (API version &gt;= 29.0).notifyForOperationDelete(String notifyForOperationDelete) Notify for delete operation, defaults to false (API version &gt;= 29.0).notifyForOperations(String notifyForOperations) Notify for operations, options are ALL, CREATE, EXTENDED, UPDATE (API version &lt; 29.0).notifyForOperations(org.apache.camel.component.salesforce.internal.dto.NotifyForOperationsEnum notifyForOperations) Notify for operations, options are ALL, CREATE, EXTENDED, UPDATE (API version &lt; 29.0).notifyForOperationUndelete(Boolean notifyForOperationUndelete) Notify for un-delete operation, defaults to false (API version &gt;= 29.0).notifyForOperationUndelete(String notifyForOperationUndelete) Notify for un-delete operation, defaults to false (API version &gt;= 29.0).notifyForOperationUpdate(Boolean notifyForOperationUpdate) Notify for update operation, defaults to false (API version &gt;= 29.0).notifyForOperationUpdate(String notifyForOperationUpdate) Notify for update operation, defaults to false (API version &gt;= 29.0).objectMapper(com.fasterxml.jackson.databind.ObjectMapper objectMapper) Custom Jackson ObjectMapper to use when serializing/deserializing Salesforce objects.objectMapper(String objectMapper) Custom Jackson ObjectMapper to use when serializing/deserializing Salesforce objects.pkChunking(Boolean pkChunking) Use PK Chunking.pkChunking(String pkChunking) Use PK Chunking.pkChunkingChunkSize(Integer pkChunkingChunkSize) Chunk size for use with PK Chunking.pkChunkingChunkSize(String pkChunkingChunkSize) Chunk size for use with PK Chunking.pkChunkingParent(String pkChunkingParent) Specifies the parent object when you're enabling PK chunking for queries on sharing objects.pkChunkingStartRow(String pkChunkingStartRow) Specifies the 15-character or 18-character record ID to be used as the lower boundary for the first chunk.queryLocator(String queryLocator) Query Locator provided by salesforce for use when a query results in more records than can be retrieved in a single call.rawPayload(boolean rawPayload) Use raw payload String for request and response (either JSON or XML depending on format), instead of DTOs, false by default.rawPayload(String rawPayload) Use raw payload String for request and response (either JSON or XML depending on format), instead of DTOs, false by default.Salesforce1 Analytics report Id.reportMetadata(String reportMetadata) Salesforce1 Analytics report metadata for filtering.reportMetadata(org.apache.camel.component.salesforce.api.dto.analytics.reports.ReportMetadata reportMetadata) Salesforce1 Analytics report metadata for filtering.Bulk API Result ID.sObjectBlobFieldName(String sObjectBlobFieldName) SObject blob field name.sObjectClass(String sObjectClass) Fully qualified SObject class name, usually generated using camel-salesforce-maven-plugin.sObjectFields(String sObjectFields) SObject fields to retrieve.SObject ID if required by API.sObjectIdName(String sObjectIdName) SObject external ID field name.sObjectIdValue(String sObjectIdValue) SObject external ID field value.sObjectName(String sObjectName) SObject name if required or supported by API.sObjectQuery(String sObjectQuery) Salesforce SOQL query string.sObjectSearch(String sObjectSearch) Salesforce SOSL search string.streamQueryResult(Boolean streamQueryResult) If true, streams SOQL query result and transparently handles subsequent requests if there are multiple pages.streamQueryResult(String streamQueryResult) If true, streams SOQL query result and transparently handles subsequent requests if there are multiple pages.updateTopic(boolean updateTopic) Whether to update an existing Push Topic when using the Streaming API, defaults to false.updateTopic(String updateTopic) Whether to update an existing Push Topic when using the Streaming API, defaults to false.Methods inherited from interface org.apache.camel.builder.EndpointConsumerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUri, getUriMethods inherited from interface org.apache.camel.EndpointConsumerResolver
resolve, resolveMethods inherited from interface org.apache.camel.builder.EndpointProducerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUri, getUriMethods inherited from interface org.apache.camel.EndpointProducerResolver
resolve, resolveMethods inherited from interface org.apache.camel.builder.endpoint.dsl.SalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder
pubSubBatchSize, pubSubBatchSize, pubSubDeserializeType, pubSubDeserializeType, pubSubPojoClass, pubSubReplayId, replayId, replayId, replayPreset, replayPresetMethods inherited from interface org.apache.camel.builder.endpoint.dsl.SalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder
allOrNone, allOrNone, apexUrl, compositeMethod, rawHttpHeaders, rawMethod, rawPath, rawQueryParameters
-
Method Details
-
advanced
- Specified by:
advancedin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
advancedin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder
-
apexMethod
APEX method name. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
apexMethodin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
apexMethodin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
apexMethod- the value to set- Returns:
- the dsl builder
-
apexQueryParams
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder apexQueryParams(Map<String, Object> apexQueryParams) Query params for APEX method. The option is a: <code>java.util.Map<java.lang.String, java.lang.Object></code> type. Group: common- Specified by:
apexQueryParamsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
apexQueryParamsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
apexQueryParams- the value to set- Returns:
- the dsl builder
-
apexQueryParams
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder apexQueryParams(String apexQueryParams) Query params for APEX method. The option will be converted to a <code>java.util.Map<java.lang.String, java.lang.Object></code> type. Group: common- Specified by:
apexQueryParamsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
apexQueryParamsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
apexQueryParams- the value to set- Returns:
- the dsl builder
-
apiVersion
Salesforce API version. The option is a: <code>java.lang.String</code> type. Default: 56.0 Group: common- Specified by:
apiVersionin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
apiVersionin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
apiVersion- the value to set- Returns:
- the dsl builder
-
backoffIncrement
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder backoffIncrement(long backoffIncrement) Backoff interval increment for Streaming connection restart attempts for failures beyond CometD auto-reconnect. The option is a: <code>long</code> type. Default: 1000 Group: common- Specified by:
backoffIncrementin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
backoffIncrementin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
backoffIncrement- the value to set- Returns:
- the dsl builder
-
backoffIncrement
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder backoffIncrement(String backoffIncrement) Backoff interval increment for Streaming connection restart attempts for failures beyond CometD auto-reconnect. The option will be converted to a <code>long</code> type. Default: 1000 Group: common- Specified by:
backoffIncrementin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
backoffIncrementin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
backoffIncrement- the value to set- Returns:
- the dsl builder
-
batchId
Bulk API Batch ID. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
batchIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
batchIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
batchId- the value to set- Returns:
- the dsl builder
-
contentType
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder contentType(org.apache.camel.component.salesforce.api.dto.bulk.ContentType contentType) Bulk API content type, one of XML, CSV, ZIP_XML, ZIP_CSV. The option is a: <code>org.apache.camel.component.salesforce.api.dto.bulk.ContentType</code> type. Group: common- Specified by:
contentTypein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
contentTypein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
contentType- the value to set- Returns:
- the dsl builder
-
contentType
Bulk API content type, one of XML, CSV, ZIP_XML, ZIP_CSV. The option will be converted to a <code>org.apache.camel.component.salesforce.api.dto.bulk.ContentType</code> type. Group: common- Specified by:
contentTypein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
contentTypein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
contentType- the value to set- Returns:
- the dsl builder
-
defaultReplayId
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder defaultReplayId(Long defaultReplayId) Default replayId setting if no value is found in initialReplayIdMap. The option is a: <code>java.lang.Long</code> type. Default: -1 Group: common- Specified by:
defaultReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
defaultReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
defaultReplayId- the value to set- Returns:
- the dsl builder
-
defaultReplayId
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder defaultReplayId(String defaultReplayId) Default replayId setting if no value is found in initialReplayIdMap. The option will be converted to a <code>java.lang.Long</code> type. Default: -1 Group: common- Specified by:
defaultReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
defaultReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
defaultReplayId- the value to set- Returns:
- the dsl builder
-
fallBackReplayId
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder fallBackReplayId(Long fallBackReplayId) ReplayId to fall back to after an Invalid Replay Id response. The option is a: <code>java.lang.Long</code> type. Default: -1 Group: common- Specified by:
fallBackReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
fallBackReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
fallBackReplayId- the value to set- Returns:
- the dsl builder
-
fallBackReplayId
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder fallBackReplayId(String fallBackReplayId) ReplayId to fall back to after an Invalid Replay Id response. The option will be converted to a <code>java.lang.Long</code> type. Default: -1 Group: common- Specified by:
fallBackReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
fallBackReplayIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
fallBackReplayId- the value to set- Returns:
- the dsl builder
-
format
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder format(org.apache.camel.component.salesforce.internal.PayloadFormat format) Payload format to use for Salesforce API calls, either JSON or XML, defaults to JSON. As of Camel 3.12, this option only applies to the Raw operation. The option is a: <code>org.apache.camel.component.salesforce.internal.PayloadFormat</code> type. Group: common- Specified by:
formatin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
formatin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
format- the value to set- Returns:
- the dsl builder
-
format
Payload format to use for Salesforce API calls, either JSON or XML, defaults to JSON. As of Camel 3.12, this option only applies to the Raw operation. The option will be converted to a <code>org.apache.camel.component.salesforce.internal.PayloadFormat</code> type. Group: common- Specified by:
formatin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
formatin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
format- the value to set- Returns:
- the dsl builder
-
httpClient
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder httpClient(org.apache.camel.component.salesforce.SalesforceHttpClient httpClient) Custom Jetty Http Client to use to connect to Salesforce. The option is a: <code>org.apache.camel.component.salesforce.SalesforceHttpClient</code> type. Group: common- Specified by:
httpClientin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
httpClientin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
httpClient- the value to set- Returns:
- the dsl builder
-
httpClient
Custom Jetty Http Client to use to connect to Salesforce. The option will be converted to a <code>org.apache.camel.component.salesforce.SalesforceHttpClient</code> type. Group: common- Specified by:
httpClientin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
httpClientin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
httpClient- the value to set- Returns:
- the dsl builder
-
includeDetails
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder includeDetails(Boolean includeDetails) Include details in Salesforce1 Analytics report, defaults to false. The option is a: <code>java.lang.Boolean</code> type. Group: common- Specified by:
includeDetailsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
includeDetailsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
includeDetails- the value to set- Returns:
- the dsl builder
-
includeDetails
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder includeDetails(String includeDetails) Include details in Salesforce1 Analytics report, defaults to false. The option will be converted to a <code>java.lang.Boolean</code> type. Group: common- Specified by:
includeDetailsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
includeDetailsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
includeDetails- the value to set- Returns:
- the dsl builder
-
initialReplayIdMap
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder initialReplayIdMap(Map<String, Long> initialReplayIdMap) Replay IDs to start from per channel name. The option is a: <code>java.util.Map<java.lang.String, java.lang.Long></code> type. Group: common- Specified by:
initialReplayIdMapin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
initialReplayIdMapin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
initialReplayIdMap- the value to set- Returns:
- the dsl builder
-
initialReplayIdMap
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder initialReplayIdMap(String initialReplayIdMap) Replay IDs to start from per channel name. The option will be converted to a <code>java.util.Map<java.lang.String, java.lang.Long></code> type. Group: common- Specified by:
initialReplayIdMapin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
initialReplayIdMapin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
initialReplayIdMap- the value to set- Returns:
- the dsl builder
-
instanceId
Salesforce1 Analytics report execution instance ID. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
instanceIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
instanceIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
instanceId- the value to set- Returns:
- the dsl builder
-
jobId
Bulk API Job ID. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
jobIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
jobIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
jobId- the value to set- Returns:
- the dsl builder
-
limit
Limit on number of returned records. Applicable to some of the API, check the Salesforce documentation. The option is a: <code>java.lang.Integer</code> type. Group: common- Specified by:
limitin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
limitin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
limit- the value to set- Returns:
- the dsl builder
-
limit
Limit on number of returned records. Applicable to some of the API, check the Salesforce documentation. The option will be converted to a <code>java.lang.Integer</code> type. Group: common- Specified by:
limitin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
limitin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
limit- the value to set- Returns:
- the dsl builder
-
locator
Locator provided by salesforce Bulk 2.0 API for use in getting results for a Query job. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
locatorin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
locatorin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
locator- the value to set- Returns:
- the dsl builder
-
maxBackoff
Maximum backoff interval for Streaming connection restart attempts for failures beyond CometD auto-reconnect. The option is a: <code>long</code> type. Default: 30000 Group: common- Specified by:
maxBackoffin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
maxBackoffin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
maxBackoff- the value to set- Returns:
- the dsl builder
-
maxBackoff
Maximum backoff interval for Streaming connection restart attempts for failures beyond CometD auto-reconnect. The option will be converted to a <code>long</code> type. Default: 30000 Group: common- Specified by:
maxBackoffin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
maxBackoffin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
maxBackoff- the value to set- Returns:
- the dsl builder
-
maxRecords
The maximum number of records to retrieve per set of results for a Bulk 2.0 Query. The request is still subject to the size limits. If you are working with a very large number of query results, you may experience a timeout before receiving all the data from Salesforce. To prevent a timeout, specify the maximum number of records your client is expecting to receive in the maxRecords parameter. This splits the results into smaller sets with this value as the maximum size. The option is a: <code>java.lang.Integer</code> type. Group: common- Specified by:
maxRecordsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
maxRecordsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
maxRecords- the value to set- Returns:
- the dsl builder
-
maxRecords
The maximum number of records to retrieve per set of results for a Bulk 2.0 Query. The request is still subject to the size limits. If you are working with a very large number of query results, you may experience a timeout before receiving all the data from Salesforce. To prevent a timeout, specify the maximum number of records your client is expecting to receive in the maxRecords parameter. This splits the results into smaller sets with this value as the maximum size. The option will be converted to a <code>java.lang.Integer</code> type. Group: common- Specified by:
maxRecordsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
maxRecordsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
maxRecords- the value to set- Returns:
- the dsl builder
-
notFoundBehaviour
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notFoundBehaviour(org.apache.camel.component.salesforce.NotFoundBehaviour notFoundBehaviour) Sets the behaviour of 404 not found status received from Salesforce API. Should the body be set to NULL NotFoundBehaviour#NULL or should a exception be signaled on the exchange NotFoundBehaviour#EXCEPTION - the default. The option is a: <code>org.apache.camel.component.salesforce.NotFoundBehaviour</code> type. Default: EXCEPTION Group: common- Specified by:
notFoundBehaviourin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notFoundBehaviourin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notFoundBehaviour- the value to set- Returns:
- the dsl builder
-
notFoundBehaviour
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notFoundBehaviour(String notFoundBehaviour) Sets the behaviour of 404 not found status received from Salesforce API. Should the body be set to NULL NotFoundBehaviour#NULL or should a exception be signaled on the exchange NotFoundBehaviour#EXCEPTION - the default. The option will be converted to a <code>org.apache.camel.component.salesforce.NotFoundBehaviour</code> type. Default: EXCEPTION Group: common- Specified by:
notFoundBehaviourin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notFoundBehaviourin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notFoundBehaviour- the value to set- Returns:
- the dsl builder
-
notifyForFields
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForFields(org.apache.camel.component.salesforce.internal.dto.NotifyForFieldsEnum notifyForFields) Notify for fields, options are ALL, REFERENCED, SELECT, WHERE. The option is a: <code>org.apache.camel.component.salesforce.internal.dto.NotifyForFieldsEnum</code> type. Group: common- Specified by:
notifyForFieldsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForFieldsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForFields- the value to set- Returns:
- the dsl builder
-
notifyForFields
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForFields(String notifyForFields) Notify for fields, options are ALL, REFERENCED, SELECT, WHERE. The option will be converted to a <code>org.apache.camel.component.salesforce.internal.dto.NotifyForFieldsEnum</code> type. Group: common- Specified by:
notifyForFieldsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForFieldsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForFields- the value to set- Returns:
- the dsl builder
-
notifyForOperationCreate
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationCreate(Boolean notifyForOperationCreate) Notify for create operation, defaults to false (API version &gt;= 29.0). The option is a: <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationCreatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationCreatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationCreate- the value to set- Returns:
- the dsl builder
-
notifyForOperationCreate
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationCreate(String notifyForOperationCreate) Notify for create operation, defaults to false (API version &gt;= 29.0). The option will be converted to a <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationCreatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationCreatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationCreate- the value to set- Returns:
- the dsl builder
-
notifyForOperationDelete
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationDelete(Boolean notifyForOperationDelete) Notify for delete operation, defaults to false (API version &gt;= 29.0). The option is a: <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationDeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationDeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationDelete- the value to set- Returns:
- the dsl builder
-
notifyForOperationDelete
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationDelete(String notifyForOperationDelete) Notify for delete operation, defaults to false (API version &gt;= 29.0). The option will be converted to a <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationDeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationDeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationDelete- the value to set- Returns:
- the dsl builder
-
notifyForOperations
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperations(org.apache.camel.component.salesforce.internal.dto.NotifyForOperationsEnum notifyForOperations) Notify for operations, options are ALL, CREATE, EXTENDED, UPDATE (API version &lt; 29.0). The option is a: <code>org.apache.camel.component.salesforce.internal.dto.NotifyForOperationsEnum</code> type. Group: common- Specified by:
notifyForOperationsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperations- the value to set- Returns:
- the dsl builder
-
notifyForOperations
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperations(String notifyForOperations) Notify for operations, options are ALL, CREATE, EXTENDED, UPDATE (API version &lt; 29.0). The option will be converted to a <code>org.apache.camel.component.salesforce.internal.dto.NotifyForOperationsEnum</code> type. Group: common- Specified by:
notifyForOperationsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperations- the value to set- Returns:
- the dsl builder
-
notifyForOperationUndelete
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationUndelete(Boolean notifyForOperationUndelete) Notify for un-delete operation, defaults to false (API version &gt;= 29.0). The option is a: <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationUndeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationUndeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationUndelete- the value to set- Returns:
- the dsl builder
-
notifyForOperationUndelete
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationUndelete(String notifyForOperationUndelete) Notify for un-delete operation, defaults to false (API version &gt;= 29.0). The option will be converted to a <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationUndeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationUndeletein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationUndelete- the value to set- Returns:
- the dsl builder
-
notifyForOperationUpdate
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationUpdate(Boolean notifyForOperationUpdate) Notify for update operation, defaults to false (API version &gt;= 29.0). The option is a: <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationUpdatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationUpdatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationUpdate- the value to set- Returns:
- the dsl builder
-
notifyForOperationUpdate
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder notifyForOperationUpdate(String notifyForOperationUpdate) Notify for update operation, defaults to false (API version &gt;= 29.0). The option will be converted to a <code>java.lang.Boolean</code> type. Group: common- Specified by:
notifyForOperationUpdatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
notifyForOperationUpdatein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
notifyForOperationUpdate- the value to set- Returns:
- the dsl builder
-
objectMapper
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder objectMapper(com.fasterxml.jackson.databind.ObjectMapper objectMapper) Custom Jackson ObjectMapper to use when serializing/deserializing Salesforce objects. The option is a: <code>com.fasterxml.jackson.databind.ObjectMapper</code> type. Group: common- Specified by:
objectMapperin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
objectMapperin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
objectMapper- the value to set- Returns:
- the dsl builder
-
objectMapper
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder objectMapper(String objectMapper) Custom Jackson ObjectMapper to use when serializing/deserializing Salesforce objects. The option will be converted to a <code>com.fasterxml.jackson.databind.ObjectMapper</code> type. Group: common- Specified by:
objectMapperin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
objectMapperin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
objectMapper- the value to set- Returns:
- the dsl builder
-
pkChunking
Use PK Chunking. Only for use in original Bulk API. Bulk 2.0 API performs PK chunking automatically, if necessary. The option is a: <code>java.lang.Boolean</code> type. Group: common- Specified by:
pkChunkingin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
pkChunkingin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
pkChunking- the value to set- Returns:
- the dsl builder
-
pkChunking
Use PK Chunking. Only for use in original Bulk API. Bulk 2.0 API performs PK chunking automatically, if necessary. The option will be converted to a <code>java.lang.Boolean</code> type. Group: common- Specified by:
pkChunkingin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
pkChunkingin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
pkChunking- the value to set- Returns:
- the dsl builder
-
pkChunkingChunkSize
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder pkChunkingChunkSize(Integer pkChunkingChunkSize) Chunk size for use with PK Chunking. If unspecified, salesforce default is 100,000. Maximum size is 250,000. The option is a: <code>java.lang.Integer</code> type. Group: common- Specified by:
pkChunkingChunkSizein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
pkChunkingChunkSizein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
pkChunkingChunkSize- the value to set- Returns:
- the dsl builder
-
pkChunkingChunkSize
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder pkChunkingChunkSize(String pkChunkingChunkSize) Chunk size for use with PK Chunking. If unspecified, salesforce default is 100,000. Maximum size is 250,000. The option will be converted to a <code>java.lang.Integer</code> type. Group: common- Specified by:
pkChunkingChunkSizein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
pkChunkingChunkSizein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
pkChunkingChunkSize- the value to set- Returns:
- the dsl builder
-
pkChunkingParent
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder pkChunkingParent(String pkChunkingParent) Specifies the parent object when you're enabling PK chunking for queries on sharing objects. The chunks are based on the parent object's records rather than the sharing object's records. For example, when querying on AccountShare, specify Account as the parent object. PK chunking is supported for sharing objects as long as the parent object is supported. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
pkChunkingParentin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
pkChunkingParentin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
pkChunkingParent- the value to set- Returns:
- the dsl builder
-
pkChunkingStartRow
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder pkChunkingStartRow(String pkChunkingStartRow) Specifies the 15-character or 18-character record ID to be used as the lower boundary for the first chunk. Use this parameter to specify a starting ID when restarting a job that failed between batches. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
pkChunkingStartRowin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
pkChunkingStartRowin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
pkChunkingStartRow- the value to set- Returns:
- the dsl builder
-
queryLocator
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder queryLocator(String queryLocator) Query Locator provided by salesforce for use when a query results in more records than can be retrieved in a single call. Use this value in a subsequent call to retrieve additional records. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
queryLocatorin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
queryLocatorin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
queryLocator- the value to set- Returns:
- the dsl builder
-
rawPayload
Use raw payload String for request and response (either JSON or XML depending on format), instead of DTOs, false by default. The option is a: <code>boolean</code> type. Default: false Group: common- Specified by:
rawPayloadin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
rawPayloadin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
rawPayload- the value to set- Returns:
- the dsl builder
-
rawPayload
Use raw payload String for request and response (either JSON or XML depending on format), instead of DTOs, false by default. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Specified by:
rawPayloadin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
rawPayloadin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
rawPayload- the value to set- Returns:
- the dsl builder
-
reportId
Salesforce1 Analytics report Id. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
reportIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
reportIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
reportId- the value to set- Returns:
- the dsl builder
-
reportMetadata
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder reportMetadata(org.apache.camel.component.salesforce.api.dto.analytics.reports.ReportMetadata reportMetadata) Salesforce1 Analytics report metadata for filtering. The option is a: <code>org.apache.camel.component.salesforce.api.dto.analytics.reports.ReportMetadata</code> type. Group: common- Specified by:
reportMetadatain interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
reportMetadatain interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
reportMetadata- the value to set- Returns:
- the dsl builder
-
reportMetadata
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder reportMetadata(String reportMetadata) Salesforce1 Analytics report metadata for filtering. The option will be converted to a <code>org.apache.camel.component.salesforce.api.dto.analytics.reports.ReportMetadata</code> type. Group: common- Specified by:
reportMetadatain interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
reportMetadatain interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
reportMetadata- the value to set- Returns:
- the dsl builder
-
resultId
Bulk API Result ID. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
resultIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
resultIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
resultId- the value to set- Returns:
- the dsl builder
-
sObjectBlobFieldName
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder sObjectBlobFieldName(String sObjectBlobFieldName) SObject blob field name. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectBlobFieldNamein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectBlobFieldNamein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectBlobFieldName- the value to set- Returns:
- the dsl builder
-
sObjectClass
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder sObjectClass(String sObjectClass) Fully qualified SObject class name, usually generated using camel-salesforce-maven-plugin. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectClassin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectClassin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectClass- the value to set- Returns:
- the dsl builder
-
sObjectFields
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder sObjectFields(String sObjectFields) SObject fields to retrieve. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectFieldsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectFieldsin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectFields- the value to set- Returns:
- the dsl builder
-
sObjectId
SObject ID if required by API. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectIdin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectId- the value to set- Returns:
- the dsl builder
-
sObjectIdName
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder sObjectIdName(String sObjectIdName) SObject external ID field name. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectIdNamein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectIdNamein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectIdName- the value to set- Returns:
- the dsl builder
-
sObjectIdValue
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder sObjectIdValue(String sObjectIdValue) SObject external ID field value. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectIdValuein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectIdValuein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectIdValue- the value to set- Returns:
- the dsl builder
-
sObjectName
SObject name if required or supported by API. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectNamein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectNamein interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectName- the value to set- Returns:
- the dsl builder
-
sObjectQuery
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder sObjectQuery(String sObjectQuery) Salesforce SOQL query string. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectQueryin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectQueryin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectQuery- the value to set- Returns:
- the dsl builder
-
sObjectSearch
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder sObjectSearch(String sObjectSearch) Salesforce SOSL search string. The option is a: <code>java.lang.String</code> type. Group: common- Specified by:
sObjectSearchin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
sObjectSearchin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
sObjectSearch- the value to set- Returns:
- the dsl builder
-
streamQueryResult
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder streamQueryResult(Boolean streamQueryResult) If true, streams SOQL query result and transparently handles subsequent requests if there are multiple pages. Otherwise, results are returned one page at a time. The option is a: <code>java.lang.Boolean</code> type. Default: false Group: common- Specified by:
streamQueryResultin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
streamQueryResultin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
streamQueryResult- the value to set- Returns:
- the dsl builder
-
streamQueryResult
default SalesforceEndpointBuilderFactory.SalesforceEndpointBuilder streamQueryResult(String streamQueryResult) If true, streams SOQL query result and transparently handles subsequent requests if there are multiple pages. Otherwise, results are returned one page at a time. The option will be converted to a <code>java.lang.Boolean</code> type. Default: false Group: common- Specified by:
streamQueryResultin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
streamQueryResultin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
streamQueryResult- the value to set- Returns:
- the dsl builder
-
updateTopic
Whether to update an existing Push Topic when using the Streaming API, defaults to false. The option is a: <code>boolean</code> type. Default: false Group: common- Specified by:
updateTopicin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
updateTopicin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
updateTopic- the value to set- Returns:
- the dsl builder
-
updateTopic
Whether to update an existing Push Topic when using the Streaming API, defaults to false. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Specified by:
updateTopicin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointConsumerBuilder- Specified by:
updateTopicin interfaceSalesforceEndpointBuilderFactory.SalesforceEndpointProducerBuilder- Parameters:
updateTopic- the value to set- Returns:
- the dsl builder
-